> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KnowledgeTasks - KG

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the list of Knowledge Tasks along with their nodes.

| **Method**        | GET                                                                                                                                                |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{botId}}/knowledgeTasks?language=en`                                                                             |
| **Content Type**  | `application/json`                                                                                                                                 |
| **Authorization** | `auth: {{YOUR_JWT_ACCESS_TOKEN}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph                                                                         |

## Path Parameters

| **Parameter** | **Description**                                                          | **Required** |
| ------------- | ------------------------------------------------------------------------ | ------------ |
| `host`        | The environment URL. For example, `https://platform.kore.ai`             | Required     |
| `BotId`       | Bot ID or Stream ID found under **General Settings** on the App Builder. | Required     |

## Query Parameters

| **Parameter** | **Description**                                                     | **Required** |
| ------------- | ------------------------------------------------------------------- | ------------ |
| `language`    | Bot language code (for example, `en` for English, `de` for German). | Required     |

## Sample Request

```json theme={null}
curl -X GET \
  https://{{host}}/api/public/bot/{{botId}}/knowledgeTasks?language=en \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "_id": "5axxxxxxxxxxxxxxxxxxxxxx",
    "createdOn": "2018-05-15T06:08:35.732Z",
    "modifiedOn": "2020-01-03T07:54:13.583Z",
    "state": "configured",
    "editable": true,
    "taxonomy": [
        {
            "parent": [],
            "synonyms": [],
            "isDummy": false,
            "editLocked": false,
            "nodeId": "bxxxxxxa-3xx5-4xxc-9xxd-0axxxxxxxxxx",
            "label": "tarak",
            "level": "l0",
            "faqCount": 5
        }
    ],
    "nodesToPublish": [],
    "publishRoot": false,
    "version": "1.0",
    "adminTaskStatus": "active",
    "name": "tarak",
    "description": "This is used to make ontology",
    "isGraph": true,
    "visibility": {
        "namespace": "private",
        "namespaceIds": [
            "u-99xxxxxx-1xx6-5xx8-bxxf-acxxxxxxxxxx"
        ]
    },
    "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
    "metadata": {
        "taxonomy": [
            {
                "nodeId": "bxxxxxxa-3xx5-4xxc-9xxd-0axxxxxxxxxx",
                "label": "tarak",
                "class": "bgblack",
                "level": "l0",
                "parent": [],
                "synonyms": [],
                "nodes": []
            }
        ]
    },
    "createdBy": "u-9xxxxxx6-1xx6-5xx8-bxxf-acxxxxxxxxxx",
    "lastModifiedBy": "u-9xxxxxx6-1xx6-5xx8-bxxf-axxxxxxxxxx9",
    "botName": "tarak",
    "language": "en",
    "refId": "1xxxxxx9-3xx6-5xxf-8xx1-3dxxxxxxxxxx",
    "__v": 0,
    "deletedNodesToPublish": [],
    "publishedOn": "2020-01-03T07:54:13.583Z",
    "versionComment": null,
    "parentId": "5exxxxxxxxxxxxxxxxxxxxx3",
    "_resolve": [
        "createdBy"
    ],
    "lock": {
        "islocked": "false"
    },
    "traitCount": 0,
    "faqCount": 5
}
```
